const userHomeDir = require("os").homedir();
const home = process.env.HOME || userHomeDir
const path = require("path")
const dbPath = path.join(home, '.todo') //数据库
const fs = require("fs")

const db = {
  read(path = dbPath) {
    return new Promise((resolve, reject) => {
      fs.readFile(path, {
        flag: 'a+'
      }, (error, data) => {
        if (error) return reject(error)
        let list
        try {
          list = JSON.parse(data.toString())
        } catch (error1) {
          list = []
        }
        resolve(list)
      })
    })

  },
  write(list, path = dbPath) {
    return new Promise((resolve, reject) => {
      const string = JSON.stringify(list)
      fs.writeFile(dbPath, string + '\n', (error) => {
        if (error) return reject(error)
        resolve()
      })
    })

  },
}

module.exports = db